Name:           gnubversion
Version:        0.5
Release:        7%{?dist}
Summary:        Gnome Interface to Subversion

Group:          Applications/System
License:        GPLv3
URL:            https://sourceforge.net/projects/gnubversion 
Source0:        http://downloads.sourceforge.net/gnubversion/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nautilus-devel, libgnomeui-devel
BuildRequires:  subversion-devel, e2fsprogs-devel
BuildRequires:  desktop-file-utils
BuildRequires:  librsvg2
Requires:       nautilus-extensions

%description
GnubVersion is a GNOME interface to Subversion. It integrates with the
Nautilus file manager to allow access to (eventually) all subversion
client-side functions, without having to resort to the command line.

Provides graphical equivalents to "svn checkout", "svn update" etc.


%prep
%setup -q


%build
%configure --disable-static
#Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec="\\${wl}--rpath \\${wl}\\$libdir"|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT CPPROG='install -p'

# Place the libraries where they belong, so that
# we don't rely on rpath uselessly
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/*.so.* $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}

desktop-file-install                                    \
        --vendor ""                                     \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications  \
        --mode 0644                                     \
        --remove-category=Application                   \
        $RPM_BUILD_ROOT%{_datadir}/applications/gvn-checkout.desktop

#Remove default installed docs
rm -rf $RPM_BUILD_ROOT%{_docdir}

#Remove libtool archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

#Fix .desktop file
echo "Encoding=UTF-8" >> $RPM_BUILD_ROOT%{_datadir}/applications/gvn-checkout.desktop

#Fix relative-link issue
#pushd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
#for imgs in gvn-commit.png gvn-update.png gvn-add.png gvn-remove.png gvn-revert.png ; do
#        unlink $RPM_BUILD_ROOT%{_datadir}/%{name}/$imgs
#        ln -s $imgs $RPM_BUILD_ROOT%{_datadir}/%{name}/$imgs
#done
#popd

mv $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0


%clean
rm -rf $RPM_BUILD_ROOT



%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README TODO
%{_bindir}/gvn-*
%{_libdir}/*.so.*
%{_libdir}/nautilus/extensions-2.0/*.so*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/??x??/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Xavier Lamien <lxtnow@gmail.com> - 0.5-6
- Move plugin to nautilus-extension v2.0.

* Thu Jan 08 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5-5
- Fix BRs.

* Thu Jan 08 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5-4
- Place the library to libdir

* Sun Jul 27 2008 Xavier Lamien <lxtnow[at]gmail.com - 0.5-3
- Remove redundant BR.

* Sun Jan 20 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.5-2
- Added Scriptlets.

* Sat Jan 19 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.5-1
- Initial RPM Release.
